Bug 967320 - Dead keys not working in Qt apps without ibus-qt installed
Dead keys not working in Qt apps without ibus-qt installed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
22
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 10:45 EDT by Milan Bouchet-Valat
Modified: 2016-07-19 14:58 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:58:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Bouchet-Valat 2013-05-26 10:45:36 EDT
When I upgraded to Fedora 18, dead keys stopped working in Qt apps. For example, I was not able to type ê using ^ then e as I did before. (I am using GNOME as my main desktop.)

I just found out that installing package ibus-qt fixes the problem. I think this package should have been installed by default during the upgrade, but it wasn't. Is this specific to my system, or should something be changed like Qt recommending ibus-qt?
Comment 1 Kevin Kofler 2013-05-26 12:09:37 EDT
If you are using IBus, you should have installed ibus-qt from the beginning. There's no upgrade path issue there. And if you aren't using IBus, then installing ibus-qt is the wrong fix for your real issue (the broken dead keys).

And we cannot require ibus-qt because it shouldn't be dragged in on setups without input methods. (We don't have Suggests nor Recommends in Fedora.)
Comment 2 Milan Bouchet-Valat 2013-05-26 12:32:58 EDT
No, I've never used IBus and I don't know much about it. I'm French, so I'm using a French layout FWIW. So maybe installing ibus-qt is the wrong fix, but at least it is a workaround.

All I can say is that dead keys stopped working in F18 in Qt apps and that installing ibus-qt seems to fix it. I have never messed with input methods in any way. Please just ask if you want me to do some debugging to understand what happened.
Comment 3 Milan Bouchet-Valat 2013-05-26 13:25:54 EDT
OK, the problem is that QT_IM_MODULE=ibus even for new accounts and after a restart, with ibus-qt *removed*. Though the intended behaviour is QT_IM_MODULE=xim, cf. bug 70137.

I don't understand how this is possible, since xinputrc and ibus.conf both contain:
if test -f /usr/lib/qt4/plugins/inputmethods/libqtim-ibus.so || \
   test -f /usr/lib64/qt4/plugins/inputmethods/libqtim-ibus.so;
then
    QT_IM_MODULE=ibus
else
    QT_IM_MODULE=xim
fi

and none of these files exist.

$ grep -R ibus /etc/X11
/etc/X11/xinit/xinputrc:XIM=ibus
/etc/X11/xinit/xinputrc:XIM_PROGRAM="/usr/bin/ibus-daemon"
/etc/X11/xinit/xinputrc:ICON="ibus"
/etc/X11/xinit/xinputrc:PREFERENCE_PROGRAM=/usr/bin/ibus-setup
/etc/X11/xinit/xinputrc:GTK_IM_MODULE=ibus
/etc/X11/xinit/xinputrc:if test -f /usr/lib/qt4/plugins/inputmethods/libqtim-ibus.so || \
/etc/X11/xinit/xinputrc:   test -f /usr/lib64/qt4/plugins/inputmethods/libqtim-ibus.so;
/etc/X11/xinit/xinputrc:    QT_IM_MODULE=ibus
/etc/X11/xinit/xinput.d/ibus.conf:XIM=ibus
/etc/X11/xinit/xinput.d/ibus.conf:XIM_PROGRAM="/usr/bin/ibus-daemon"
/etc/X11/xinit/xinput.d/ibus.conf:ICON="ibus"
/etc/X11/xinit/xinput.d/ibus.conf:PREFERENCE_PROGRAM=/usr/bin/ibus-setup
/etc/X11/xinit/xinput.d/ibus.conf:GTK_IM_MODULE=ibus
/etc/X11/xinit/xinput.d/ibus.conf:if test -f /usr/lib/qt4/plugins/inputmethods/libqtim-ibus.so || \
/etc/X11/xinit/xinput.d/ibus.conf:   test -f /usr/lib64/qt4/plugins/inputmethods/libqtim-ibus.so;
/etc/X11/xinit/xinput.d/ibus.conf:    QT_IM_MODULE=ibus

Any ideas?
Comment 4 fujiwara 2013-05-27 01:47:35 EDT
I think you use GNOME.
gnome-settings-daemon sets QT_IM_MODULE=ibus whether ibus-qt is installed or not:
https://git.gnome.org/browse/gnome-settings-daemon/tree/gnome-settings-daemon/main.c#n274

For non-GNOME desktops, QT_IM_MODULE=ibus is set if libqtim-ibus.so is installed in /etc/X11/xinit/xinput.d/ibus.conf
Comment 5 Rui Matos 2013-05-28 09:49:48 EDT
Yes GNOME unconditionally sets that env var. But I can't reproduce this problem here.

If I remove ibus-qt I can still use dead keys in Qt applications even with the env var set to "ibus".
Comment 6 Milan Bouchet-Valat 2013-05-28 10:45:54 EDT
Interesting. Have you restarted your computer? OTOH, here if I start a Qt app with QT_IM_MODULE=xim, I still cannot input dead keys. So it looks like only installing ibus-qt fixes the issue.

I've tried using a Portuguese and a German keyboard, and the same bug happens.

Is there anything else I can do to debug this?
Comment 7 Kevin Kofler 2013-05-28 11:20:10 EDT
So as per comment #6, let's reassign this back to Qt.

(But of course I cannot reproduce this issue here!)
Comment 8 fujiwara 2013-05-28 22:57:19 EDT
(In reply to Milan Bouchet-Valat from comment #6)
> Interesting. Have you restarted your computer? OTOH, here if I start a Qt
> app with QT_IM_MODULE=xim, I still cannot input dead keys. So it looks like
> only installing ibus-qt fixes the issue.
> 
> I've tried using a Portuguese and a German keyboard, and the same bug
> happens.
> 
> Is there anything else I can do to debug this?

Which key sequences you tried to type actually?

You can show the current XKB keymaps:

% setxkbmap -query

I think QT_IM_MODULE=xim enables dead keys.

% env QT_IM_MODULE=xim strace konsole --nofork |& grep inputmethods
open("/usr/lib/qt4/plugins/inputmethods/libqimsw-multi.so", O_RDONLY|O_CLOEXEC) = 19
Comment 9 Milan Bouchet-Valat 2013-05-29 06:46:25 EDT
I have tried ^ and ¨ (no matter what's the next letter since the symbols are immediately printed).

Does this give any useful information?

$ setxkbmap -query
rules:      evdev
model:      evdev
layout:     fr,ml,us
variant:    oss,,

$ env QT_IM_MODULE=xim strace konsole --nofork |& grep inputmethods
stat("/usr/lib64/qt4/plugins/inputmethods/.", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
openat(AT_FDCWD, "/usr/lib64/qt4/plugins/inputmethods", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 9
statfs("/usr/lib64/qt4/plugins/inputmethods/", {f_type="EXT2_SUPER_MAGIC", f_bsize=4096, f_blocks=9820524, f_bfree=4659886, f_bavail=4559824, f_files=2506752, f_ffree=2148723, f_fsid={-660473973, 326774785}, f_namelen=255, f_frsize=4096}) = 0
lstat("/usr/lib64/qt4/plugins/inputmethods", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/usr/lib64/qt4/plugins/inputmethods/libqimsw-multi.so", {st_mode=S_IFREG|0755, st_size=29048, ...}) = 0
stat("/usr/lib64/qt4/plugins/inputmethods/libqimsw-multi.so", {st_mode=S_IFREG|0755, st_size=29048, ...}) = 0
stat("/usr/lib64/kde4/plugins/inputmethods/.", 0x7fff53604240) = -1 ENOENT (No such file or directory)
stat("/usr/lib/kde4/plugins/inputmethods/.", 0x7fff53604240) = -1 ENOENT (No such file or directory)
stat("/usr/bin/inputmethods/.", 0x7fff53604240) = -1 ENOENT (No such file or directory)
Comment 10 fujiwara 2013-05-30 03:54:56 EDT
(In reply to Milan Bouchet-Valat from comment #9)
> I have tried ^ and ¨ (no matter what's the next letter since the symbols are
> immediately printed).

I can reproduce your problem now as could not do yesterday.
Comment 11 Yajo 2013-06-20 04:19:45 EDT
I'm also suffering this bug. Thanks for the workaround of ibus-qt.

BTW I found this happening too on some Wine apps, but installing ibus-qt does not fix it. Can that be the same issue?
Comment 12 Fedora End Of Life 2013-12-21 10:31:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Jens Petersen 2014-01-22 02:04:43 EST
What happens in F19 or later?
Comment 14 Yajo 2014-01-22 03:10:54 EST
The same.

For example, I am on XFCE and I open TortoiseHg (Qt) and then I write there with accents and, for example, "opción" becomes "opci´on".

I found this workaround: Write "opci", then click elsewhere or change focus to other program, then click there again to continue writing, then write "ón".

Weird.

I use F19, and I installed XFCE after having GNOME, because GNOME does not work with FreeNX.
Comment 15 Kevin Kofler 2014-01-22 04:54:10 EST
Thanks for the feedback, bumping Version to 19 so the bug stays open.
Comment 16 Fedora End Of Life 2015-01-09 17:07:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Yajo 2015-01-12 03:39:54 EST
Fedora 21 and still the same problem. Please somebody update the version.
Comment 18 Yajo 2015-01-12 03:43:05 EST
Well... not exactly the same problem. In F21 there's no ibus-qt package! Is there any other workaround?
Comment 19 Yajo 2015-01-12 03:44:31 EST
(In reply to Yajo from comment #18)
> Well... not exactly the same problem. In F21 there's no ibus-qt package! Is
> there any other workaround?

Forget this, it was my fault.
Comment 20 Milan Bouchet-Valat 2015-01-12 05:25:46 EST
Raised to F21.
Comment 21 Fedora End Of Life 2015-11-04 10:27:56 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Yajo 2015-11-04 10:47:56 EST
F22 still equal.
Comment 23 Fedora End Of Life 2016-07-19 14:58:04 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.